pp {POT} | R Documentation

## Probability Probability Plot

### Description

`pp` is a generic function used to show probability-probability plot. The function invokes particular `methods` which depend on the `class` of the first argument. So the function makes a probability probability plot for univariate POT models.

### Usage

    pp(fitted, ...)

    ## S3 method for class 'uvpot'
    pp(fitted, main, xlab, ylab, ci = TRUE, ...)

### Arguments

`fitted` | A fitted object. When using the POT package, an object of class `'uvpot'`. Most often, the return of the `fitgpd` function.
`main` | The title of the graphic. If missing, the title is set to `"Probability plot"`.
`xlab,ylab` | The labels for the x and y axis. If missing, they are set to `"Empirical"` and `"Model"` respectively.
`ci` | Logical. If `TRUE` (the default), 95% intervals are plotted.
`...` | Other arguments to be passed to the `plot` function.

### Details

The probability probability plot consists of plotting the theoretical probabilities in function of the empirical model ones. The theoretical probabilities are computed from the fitted GPD, while the empirical ones are computing from a particular plotting position estimator. This plotting position estimator is suited for the GPD case (Hosking, 1995) and are defined by:

p_{j:n} = (j - 0.35) / n

where n is the total number of observations.

If the theoretical model is correct, then points should be “near” the line y=x.

### Value

A graphical window.

### Author(s)

Mathieu Ribatet

### References

Hosking, J. R. M. and Wallis, J. R. (1995). A comparison of unbiased and plotting-position estimators of L moments. Water Resources Research. 31(8): 2019–2025.

### See Also

`qq`, `qq.uvpot`

### Examples

    x <- rgpd(75, 1, 2, 0.1)
    pwmb <- fitgpd(x, 1, "pwmb")
    pp(pwmb)

[Package POT version 1.1-7 Index]